## qoi 0%2Bgit20220615%2Bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## qoi 0+git20220615+ds

=== Makefile ===
CC ?= gcc
CFLAGS_BENCH ?= -std=gnu99 -O3
LFLAGS_BENCH ?= -lpng
CFLAGS_CONV ?= -std=c99 -O3

TARGET_BENCH ?= qoibench
TARGET_CONV ?= qoiconv

all: $(TARGET_BENCH) $(TARGET_CONV)

bench: $(TARGET_BENCH)

$(TARGET_BENCH):$(TARGET_BENCH).c $(LFLAGS_BENCH)
	$(CC) $(CFLAGS_BENCH) $(TARGET_BENCH).c -o $(TARGET_BENCH) $(LFLAGS_BENCH)

conv: $(TARGET_CONV)
$(TARGET_CONV):$(TARGET_CONV).c
	$(CC) $(CFLAGS_CONV) $(TARGET_CONV).c -o $(TARGET_CONV)

.PHONY: clean
clean:
	$(RM) $(TARGET_BENCH) $(TARGET_CONV)

=== debian/changelog ===
qoi (0+git20220615+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:17:54 +0000

qoi (0+git20220615+ds-3) unstable; urgency=medium

  * Really source only upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Jul 2022 09:56:54 +0200

qoi (0+git20220615+ds-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 12:31:27 +0200

qoi (0+git20220615+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1012837)

 -- Gürkan Myczko <tar@debian.org>  Wed, 15 Jun 2022 10:03:43 +0200

=== debian/control ===
Source: qoi
Section: libs
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libstb-dev,
 libpng-dev
Standards-Version: 4.7.0
Homepage: https://github.com/phoboslab/qoi
Vcs-Browser: https://salsa.debian.org/debian/qoi
Vcs-Git: https://salsa.debian.org/debian/qoi.git

Package: qoi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: “Quite OK Image Format” for fast, lossless image compression
 This is the original QOI implementation to work with images with C or C++.

Package: libqoi-dev
Section: libdevel
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libstb-dev
Description: “Quite OK Image Format” for fast, lossless image compression (devel)
 This is the original QOI implementation to work with images with C or C++.
 .
 This package contains the single header file.

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#  files/qoi-([\d\.]+)\.tar\.gz debian uupdate

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/qoi-(.*)\.tar\.gz debian uupdate

# SourceForge hosted projects.
# http://sf.net/qoi/ qoi-(.*)\.tar\.gz debian uupdate

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
#   https://github.com/<user>/qoi/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%<project>-$1$2%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
# https://pypi.debian.net/qoi/qoi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
# opts="mode=git" http://git.example.com/qoi.git \
#   refs/tags/v([\d\.]+) debian uupdate




# Uncomment to find new files on GooglePages.
# http://example.googlepages.com/foo.html qoi-(.*)\.tar\.gz

## qoi 0+git20251213+ds

=== Makefile ===
CC ?= gcc
CFLAGS_BENCH ?= -std=gnu99 -O3
LFLAGS_BENCH ?= -lpng $(LDFLAGS)
CFLAGS_CONV ?= -std=c99 -O3
LFLAGS_CONV ?= $(LDFLAGS)

TARGET_BENCH ?= qoibench
TARGET_CONV ?= qoiconv

all: $(TARGET_BENCH) $(TARGET_CONV)

bench: $(TARGET_BENCH)
$(TARGET_BENCH):$(TARGET_BENCH).c qoi.h
	$(CC) $(CFLAGS_BENCH) $(CFLAGS) $(TARGET_BENCH).c -o $(TARGET_BENCH) $(LFLAGS_BENCH)

conv: $(TARGET_CONV)
$(TARGET_CONV):$(TARGET_CONV).c qoi.h
	$(CC) $(CFLAGS_CONV) $(CFLAGS) $(TARGET_CONV).c -o $(TARGET_CONV) $(LFLAGS_CONV)

.PHONY: clean
clean:
	$(RM) $(TARGET_BENCH) $(TARGET_CONV)

=== debian/changelog ===
qoi (0+git20251213+ds-2) unstable; urgency=medium

  * Convert libqoi-dev to Arch:any + M-A:same. (Closes: #1124483)
    Thanks Helmut Grohne for the patch.

 -- Alex Myczko <tar@debian.org>  Thu, 01 Jan 2026 23:43:38 +0100

qoi (0+git20251213+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/control: drop Rules-Requires-Root.
  * d/copyright: bump years.
  * d/watch: dropped, as there are no releases yet.

 -- Alex Myczko <tar@debian.org>  Sat, 13 Dec 2025 15:11:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  libstb-dev,
  libpng-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/phoboslab/qoi
 Vcs-Browser: https://salsa.debian.org/debian/qoi
 Vcs-Git: https://salsa.debian.org/debian/qoi.git
@@ -22,7 +21,8 @@
 
 Package: libqoi-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## qoi 0.0.3

=== DESCRIPTION ===
Package: qoi
Type: Package
Title: Read and Write QOI Images
Date: 2022-04-20
Version: 0.0.3
Author: Johannes Friedrich [aut, trl, cre],
  Dominic Szablewski [cph] (C library 'qoi')
Authors@R: c(person("Johannes", "Friedrich", role = c("aut", "trl","cre"), email = c("Johannes.Friedrich@posteo.de")),
             person("Dominic", "Szablewski", role = c("cph"), comment = c("C library 'qoi'")))
Maintainer: Johannes Friedrich <Johannes.Friedrich@posteo.de>
URL: https://github.com/JohannesFriedrich/qoi4R
BugReports: https://github.com/JohannesFriedrich/qoi4R/issues
Description: The new QOI file format offers a very simple but efficient image compression algorithm. This package provides an easy and simple way to read, write and display bitmap images stored in the QOI (Quite Ok Image) format. It can read and write both files and in-memory raw vectors.
License: GPL (>= 3)
Encoding: UTF-8
NeedsCompilation: yes
RoxygenNote: 7.1.2
Depends: R (>= 2.10)
LazyData: true
Packaged: 2022-04-21 19:53:00 UTC; johannes
Repository: CRAN
Date/Publication: 2022-04-25 07:20:02 UTC

## qoi 0.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: qoi
 Type: Package
 Title: Read and Write QOI Images
-Date: 2022-04-20
-Version: 0.0.3
+Date: 2023-02-07
+Version: 0.0.4
 Author: Johannes Friedrich [aut, trl, cre],
   Dominic Szablewski [cph] (C library 'qoi')
 Authors@R: c(person("Johannes", "Friedrich", role = c("aut", "trl","cre"), email = c("Johannes.Friedrich@posteo.de")),
@@ -14,9 +14,9 @@
 License: GPL (>= 3)
 Encoding: UTF-8
 NeedsCompilation: yes
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Depends: R (>= 2.10)
 LazyData: true
-Packaged: 2022-04-21 19:53:00 UTC; johannes
+Packaged: 2023-02-07 20:31:34 UTC; johannes
 Repository: CRAN
-Date/Publication: 2022-04-25 07:20:02 UTC
+Date/Publication: 2023-02-07 20:52:31 UTC

## qoi 0.1.0

=== DESCRIPTION ===
Package: qoi
Type: Package
Title: Read and Write QOI Images
Date: 2024-04-17
Version: 0.1.0
Author: Johannes Friedrich [aut, trl, cre],
  Dominic Szablewski [cph] (C library 'qoi')
Authors@R: c(person("Johannes", "Friedrich", role = c("aut", "trl","cre"), email = c("Johannes.Friedrich@posteo.de")),
             person("Dominic", "Szablewski", role = c("cph"), comment = c("C library 'qoi'")))
Maintainer: Johannes Friedrich <Johannes.Friedrich@posteo.de>
URL: https://github.com/JohannesFriedrich/qoi4R
BugReports: https://github.com/JohannesFriedrich/qoi4R/issues
Description: The new QOI file format offers a very simple but efficient image compression algorithm. This package provides an easy and simple way to read, write and display bitmap images stored in the QOI (Quite Ok Image) format. It can read and write both files and in-memory raw vectors.
License: MIT + file LICENSE
Encoding: UTF-8
NeedsCompilation: yes
RoxygenNote: 7.3.1
Depends: R (>= 2.10)
LazyData: true
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
Packaged: 2024-04-17 17:25:47 UTC; johannes
Repository: CRAN
Date/Publication: 2024-04-17 17:40:12 UTC
